summaryrefslogtreecommitdiff
path: root/tests/run-all
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-06-28 11:52:54 +0100
committerSean Whitton <spwhitton@spwhitton.name>2018-06-28 11:52:54 +0100
commit4613f20fafd20f738291b355aced2bb4798ca2b1 (patch)
treee7d9bf11336468eda8076d71240368608cffea0e /tests/run-all
parent36454d4896b806632a7b8b8f08e1b5ec16a1cc4e (diff)
parent152ccd540c3f7809d8235d0907eb0142aed792f4 (diff)
Merge tag 'debian/5.2' into wip/stretch-bpo
dgit release 5.2 for unstable (sid) [dgit] [dgit distro=debian] # gpg: Signature made Sun 24 Jun 2018 23:36:20 BST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/run-all')
-rwxr-xr-xtests/run-all5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/run-all b/tests/run-all
index cfa5ce2..f72b9fa 100755
--- a/tests/run-all
+++ b/tests/run-all
@@ -5,9 +5,8 @@ set -e
set -o pipefail
-set +e
-jcpus=`perl -MSys::CPU -we 'printf "-j%d\n", 1.34 * Sys::CPU::cpu_count()'`
-set -e
+ncpus=$(nproc || echo 1)
+jcpus=-j$(( ncpus * 134 / 100 ))
if [ $# != 0 ]; then
set TESTSCRIPTS="$*"